@import "./reset";
@import "./font";
@import "./mixins";


*,
*::after,
*::before {
   box-sizing: border-box;
}

$colortext: #4E4E4E;
$hovercolor: #57A4A4;

.container{
	max-width: 1170px;
	width: 100%;
	padding-left: 15px;
	padding-right: 15px;
	text-align: center;
	margin: 0 auto;
	@include mediaQuery(320px, "max") {
		max-width: 320px;
	 }
	@include mediaQuery(576px, "max") {
		max-width: 576px;
	 }
	 @include mediaQuery(768px, "max") {
		max-width: 768px;
	 }
	 @include mediaQuery(992px, "max") {
		max-width: 992px;
	 }
	 @include mediaQuery(1200px, "max") {
		max-width: 1200px;
	 }
}

.title__btn {
	display: flex;
	justify-content: flex-end;
	margin: 23px 0;

	@include mediaQuery(767px, 'min'){
		display: none;
	}
}
.nav__btn:hover .btn__icon{
	filter: brightness(0.7);
}
.nav__btn{
	position: relative;
	z-index: 3;
	width: 44px;
	height: 37px;
	background-color: #000000;
}
.btn__icon,
.btn__icon::after,
.btn__icon::before{
	position: absolute;
	width: 17px;
	height: 2px;
	background-color: #fff;
}
.btn__icon::before{
	content: "";
	top: -5px;
	right: 0;
	
}
.btn__icon{
	transition: linear .3s;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
}
.btn__icon::after{
	content: "";
	top: 5px;
	right: 0;
}
.burger__active .btn__icon {
	background-color: transparent;
  }
  .burger__active .btn__icon::before {
	top: 0;
	transform: rotate(45deg);
  }
  .burger__active .btn__icon::after{
	top: 0;
	transform: rotate(-45deg);
  }
  .title__menu-list{
	position: fixed;
	display: block;
	top: -15px;
	margin-top: 74px;
	margin-right: 15px;
	z-index: 2;
	right: -100%;
	font-size: 11px;
	background-color:#F5F5F5;
	@include mediaQuery(767px, 'min'){
		display: flex;
		justify-content: center;
		position: unset;
		margin: 23px 0;
		background-color: initial;
	}
  }
  .burger__active .title__menu-list{
	right: 0;
	
  }
  .burger__overlay {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 1;
  }
  .burger__active .burger__overlay {
	display: block;
  }

  .title__menu-link{
	  padding: 8px 92px 8px 13px;
	  line-height: 22px;
	  font-weight: 400;
	  color: #4E4E4E;
	  text-transform: uppercase;
	  text-align: start;

	  @include mediaQuery(767px, 'min'){
		  padding: 0;
		  margin: 0 17px;
	  }
	  @include mediaQuery(1000px, 'min'){
		  margin: 0 34px;
	}

	}
  .title__menu-link:hover{
	  background-color: #E5E5E5;

	  @include mediaQuery(767px, 'min'){
		  background-color: initial;
	  }

  }
  .active a{
	  color: #57A4A4;
  }

  .main__image {
	  max-width: 100%;
	  width: 1170px;
	  height: auto;
  }
  .posts__heading{
	font-size: 14px;
	line-height: 22px;
	font-weight: 700;
	color: #4E4E4E;
	text-transform: uppercase;
	text-align: start;
	margin-top: 38px;
  }
.posts__items{
	margin-top: 23px;
	display: grid;
	grid-template-columns: repeat(1, 1fr);
	@include mediaQuery(940px, 'min'){
		grid-template-columns: repeat(2, 1fr);
	}
	
}

.cards{
	display: block;
	text-align: start;
	@include mediaQuery(576px, "min") {
		width: 100%;
   		max-width: 100%;
   		display: flex;
		   margin-bottom: 32px;
		

	}
}
.posts__items-image{
	margin-bottom: 11px;
}
.items__cards-text{
	@include mediaQuery(576px, "min"){
		margin-left: 20px;
		margin-right: 110px;
		@include mediaQuery(940px, "min"){
			margin-right: 25px;
			

		}
	}
}
.items__cards-name{
	font-size: 14px;
	line-height: 30px;
	font-weight: 700;
	color: #4E4E4E;
}
.items__cards-comment{
	font-size: 11px;
	line-height: 20px;
	font-weight: 400;
	color: #7C7C7C;
	margin-bottom: 28px;
	@include mediaQuery(576px, "min") {
		margin-bottom: 13px;
	}
}
.items__cards-info{
	display: none;
	@include mediaQuery(576px, "min") {
		display: block;
		font-size: 14px;
		line-height: 26px;
		font-weight: 400;
		color: #5C5C5C;
	}
}
.desc{
	display: none;
	@include mediaQuery(576px, "min") {
		display: flex;
	}
}
footer {
	background-color: #000;
 }
 .footer__logo {
	padding-top: 66px;
	margin-bottom: 22px;
	color: #fefefe;
	text-transform: uppercase;
 }
 .footer__desc {
	color: #b9b9b9;
	line-height: 28px;
	margin-bottom: 37px;
 }
 .footer__btn {
	margin-bottom: 37px;
 }
 .footer__contact {
	display: flex;
	flex-wrap: wrap;
	padding-bottom: 70px;
	justify-content: center;
}
	
.footer__contact a{
	color: #b9b9b9;
	line-height: 26px;
 }
 